Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionEntry

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TransactionEntryImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface TransactionEntry

extends Belonging

Each TransactionEntry acts as a journal entry for a PaymentTransaction. Each entry is a snapshot of a transaction as of specified date and time. The TransactionEntry is implemented as a belonging, it is created using the TransactionEntryHome abstract factory.

See Also
  `PaymentTransaction`, `TransactionEntryHome`

Method Summary
`Date` | `getEntryDate()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`String` | `getNotes()` Deprecated See BEA Commerce product offering
`String` | `getServiceProviderCode()` Deprecated See BEA Commerce product offering
`String` | `getStatus()` Deprecated See BEA Commerce product offering
`Price` | `getTransactionAmount()` Deprecated See BEA Commerce product offering
`void` | `setEntryDate(Date entryDate)` Deprecated See BEA Commerce product offering
`void` | `setIdentifier(String identifier)` Deprecated See BEA Commerce product offering
`void` | `setNotes(String notes)` Deprecated See BEA Commerce product offering
`void` | `setServiceProviderCode(String serviceProviderCode)` Deprecated See BEA Commerce product offering
`void` | `setStatus(String status)` Deprecated See BEA Commerce product offering
`void` | `setTransactionAmount(Price transactionAmount)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getEntryDate

    Date getEntryDate()

  Deprecated See BEA Commerce product offering

  Get the date on which the entry was created.

  Returns
    entryDate

### setEntryDate

    void setEntryDate(Date entryDate)

  Deprecated See BEA Commerce product offering

  Set the date on which the entry was created.

  Parameters
    `entryDate` -

### getIdentifier

    String getIdentifier()

  Deprecated See BEA Commerce product offering

  Get the unique identifier for this entry.

  Returns
    identifier

### setIdentifier

    void setIdentifier(String identifier)

  Deprecated See BEA Commerce product offering

  Set the unique identifier for this entry.

  Parameters
    `identifier` -

### getNotes

    String getNotes()

  Deprecated See BEA Commerce product offering

  Get the notes associated with this entry.

  Returns
    notes

### setNotes

    void setNotes(String notes)

  Deprecated See BEA Commerce product offering

  Set the notes associated with this entry.

  Parameters
    `notes` -

### getStatus

    String getStatus()

  Deprecated See BEA Commerce product offering

  Get the status of the PaymentTransaction at the time of this entry.

  Returns
    status

### setStatus

    void setStatus(String status)

  Deprecated See BEA Commerce product offering

  Get the status of the PaymentTransaction at the time of this entry. The series of states will be as governed by the `PaymentWorkflow`.

  Parameters
    `status` -

### getTransactionAmount

    Price getTransactionAmount()

  Deprecated See BEA Commerce product offering

  Get the amount of the transaction outstanding at the time of this entry.

  Returns
    transactionAmount.

### setTransactionAmount

    void setTransactionAmount(Price transactionAmount)

  Deprecated See BEA Commerce product offering

  Set the amount of the transaction outstanding at the time of this entry.

  Parameters
    `transactionAmount` - transactionAmount to be added

### getServiceProviderCode

    String getServiceProviderCode()

  Deprecated See BEA Commerce product offering

  Get the service provider specific code associated with this transaction.

  Returns
    serviceProviderCode.

### setServiceProviderCode

    void setServiceProviderCode(String serviceProviderCode)

  Deprecated See BEA Commerce product offering

  Set the service provider specific code associated with this transaction.

  Parameters
    `serviceProviderCode` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved